Upstream information

CVE-2017-11423 at MITRE

Description

The cabd_read_string function in mspack/cabd.c in libmspack 0.5alpha, as used in ClamAV 0.99.2 and other products, allows remote attackers to cause a denial of service (stack-based buffer over-read and application crash) via a crafted CAB file.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 1.7
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:L/AC:L/Au:S/C:N/I:N/A:P
Access Vector Network Local
Access Complexity Medium Low
Authentication None Single
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  SUSE
Base Score 5.5
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
SUSE Bugzilla entries: 1049423 [RESOLVED / FIXED], 1083915 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • clamav >= 0.99.4-33.9.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2018-176
SUSE-SLE-DESKTOP-12-SP2-2018-541
SUSE Linux Enterprise Desktop 12 SP3
  • clamav >= 0.99.4-33.9.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-176
SUSE-SLE-DESKTOP-12-SP3-2018-541
SUSE Linux Enterprise Module for Basesystem 15
  • clamav >= 0.100.0-1.17
  • clamav-devel >= 0.100.0-1.17
  • libclamav7 >= 0.100.0-1.17
  • libclammspack0 >= 0.100.0-1.17
  • libmspack-devel >= 0.6-1.17
  • libmspack0 >= 0.6-1.17
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA clamav
SUSE Linux Enterprise Module for Basesystem 15 GA libmspack-devel
SUSE Linux Enterprise Point of Sale 11 SP3
  • clamav >= 0.99.4-0.20.7.2
Patchnames:
sleposp3-clamav-13445
sleposp3-clamav-13544
SUSE Linux Enterprise Server 11 SP3-LTSS
  • clamav >= 0.99.4-0.20.7.2
Patchnames:
slessp3-clamav-13445
slessp3-clamav-13544
SUSE Linux Enterprise Server 11 SP4
  • clamav >= 0.99.4-0.20.7.2
Patchnames:
slessp4-clamav-13445
slessp4-clamav-13544
SUSE Linux Enterprise Server 12 SP1-LTSS
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-176
SUSE Linux Enterprise Server 12 SP2
  • clamav >= 0.99.4-33.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-176
SUSE-SLE-SERVER-12-SP2-2018-541
SUSE Linux Enterprise Server 12 SP3
  • clamav >= 0.99.4-33.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-176
SUSE-SLE-SERVER-12-SP3-2018-541
SUSE Linux Enterprise Server 12-LTSS
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-SERVER-12-2018-176
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • clamav >= 0.99.4-33.9.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2018-176
SUSE-SLE-RPI-12-SP2-2018-541
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • clamav >= 0.99.4-0.20.7.2
Patchnames:
slessp3-clamav-13445
slessp3-clamav-13544
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • clamav >= 0.99.4-0.20.7.2
Patchnames:
slessp4-clamav-13445
slessp4-clamav-13544
SUSE Linux Enterprise Server for SAP Applications 12
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-SAP-12-2018-176
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2018-176
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-176
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • clamav >= 0.99.4-33.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-176
SUSE-SLE-SERVER-12-SP2-2018-541
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • clamav >= 0.99.4-33.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-176
SUSE-SLE-SERVER-12-SP3-2018-541
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-SERVER-12-2018-176
SUSE OpenStack Cloud 6
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-OpenStack-Cloud-6-2018-176
openSUSE Leap 15.0
  • libmspack0 >= 0.6-lp150.1.3
Patchnames:
openSUSE Leap 15.0 GA libmspack0
openSUSE Leap 42.3
  • clamav >= 0.99.4-23.1
  • clamav-debuginfo >= 0.99.4-23.1
  • clamav-debugsource >= 0.99.4-23.1
Patchnames:
openSUSE-2018-102
openSUSE-2018-314


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 clamav Released
SUSE Linux Enterprise Desktop 12 SP3 clamav Released
SUSE Linux Enterprise Server 11 SP3 LTSS clamav Released
SUSE Linux Enterprise Server 11 SP4 clamav Released
SUSE Linux Enterprise Server 12 GA LTSS clamav Released
SUSE Linux Enterprise Server 12 SP1 LTSS clamav Released
SUSE Linux Enterprise Server 12 SP2 clamav Released
SUSE Linux Enterprise Server 12 SP3 clamav Released